al_draw_ellipse(3)

NAME

al_draw_ellipse - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_ellipse(float cx, float cy, float rx, float ry,
       ALLEGRO_COLOR color, float thickness)

DESCRIPTION

Draws an outlined ellipse.

Parameters:

•   cx, cy - Center of the ellipse

•   rx, ry - Radii of the ellipse

•   color - Color of the ellipse

•   thickness - Thickness of the ellipse, pass <= 0 to draw a hairline ellipse

SEE ALSO

al_draw_filled_ellipse(3), al_draw_circle(3)